| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__SIPSecurity Struct Reference
Subscriber

Subscriber SIP Security Information. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | Realm
| The domain of the SIP Phone. More...
char * | UserName
| The SIP User Name. More...
char * | Password
| The password that is used in conjunction with the UserName. More...
enum unsp__SIPSecSchemae * | Scheme
| The type of security scheme. More...
enum unsp__HashAlgorithm * | HashAlgorithm
| The type of hash algorithm used for SIP Authentication. More...
enum unsp__SrtpSupport * | SrtpSupport
| "Best-Effort SRTP" attribute to determine whether to include the SRTP media in the SDP offer or not. More...
enum unsp__SrtpSupport * | SdesSrtpSupport
| "Best-Effort SRTP with SDES" attribute to determine whether to include the SRTP media in the SDP offer or not. More...

## Detailed Description

Subscriber SIP Security Information.

## Member Data Documentation

## ◆ HashAlgorithm

enum unsp__HashAlgorithm* unsp__SIPSecurity::HashAlgorithm

The type of hash algorithm used for SIP Authentication.

required: false
default value[range]: HaMd5 (default)

## ◆ Password

char* unsp__SIPSecurity::Password

The password that is used in conjunction with the UserName.

required: false
default value[range]: NA [1..20]

## ◆ Realm

char* unsp__SIPSecurity::Realm

The domain of the SIP Phone.

If the switch is configured to require SIP Authentication (Srx/Sip/AuthEnabled parameter), this field is required.
required: false
default value[range]: NA [1..128]

## ◆ Scheme

enum unsp__SIPSecSchemae* unsp__SIPSecurity::Scheme

The type of security scheme.

Only digest authentication form of security is supported. Specifying no security removes any previously configured security information for this subscriber.
required: false
default value[range]: no-security

## ◆ SdesSrtpSupport

enum unsp__SrtpSupport* unsp__SIPSecurity::SdesSrtpSupport

"Best-Effort SRTP with SDES" attribute to determine whether to include the SRTP media in the SDP offer or not.

required: false
default value[range]: SrtpEnabled

## ◆ SrtpSupport

enum unsp__SrtpSupport* unsp__SIPSecurity::SrtpSupport

"Best-Effort SRTP" attribute to determine whether to include the SRTP media in the SDP offer or not.

required: false
default value[range]: SrtpAutomatic

## ◆ UserName

char* unsp__SIPSecurity::UserName

The SIP User Name.

This value may be different from the Directory Number.
required: false
default value[range]: NA [1..64]

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h